var gTocFiles = [
["About this guide","src/csac_about_this_guide.html"]
,["Configuring Framework Settings","src/csac_framework_settings_stub.html",
["About the Framework Settings page","src/csac_framework_settings_components.html"]
,["Configuring framework settings from the Control Panel","src/tsac_framework_settings_config.html"]
,["Configuring framework settings in portal-ext.properties","src/csac_framework_settings_portal_ext_properties.html"]
],["Configuring Logging for Studio","src/csac_logging_root.html",
["About logging in Studio","src/csac_logging_about.html"]
,["About the log4j configuration XML files","src/csac_logging_portal-log4j.html"]
,["About the Studio log files","src/csac_logging_about_log_files.html"]
,["Using the Control Panel to adjust logging verbosity","src/tsac_logging_verbosity.html"]
,["How log4j.properties is used in Studio","src/csac_logging_log4j_properties.html"]
],["Monitoring the Performance of Queries","src/csac_performance_metrics_stub.html",
["Configuring the amount of metrics data to record","src/csac_performance_metrics_configure.html"]
,["About the metrics log file","src/csac_performance_metrics_about_log_file.html"]
,["About the Performance Metrics page","src/csac_performance_metrics_component.html"]
],["Viewing Summary Reports of Studio Usage","src/csac_system_usage_root.html",
["Enabling the logging of Studio system usage","src/csac_system_usage_enabling.html"]
,["About the System Usage page","src/csac_system_usage_about_reports.html"]
,["Viewing the Number of Users by Date report","src/tsac_system_usage_date_time_oriented_summary.html"]
,["Viewing the Most/Least Frequently Accessed Summary Report","src/tsac_system_usage_most_least_frequently_accessed_summary.html"]
],["Determining and Configuring the Locale Used in Studio","src/csac_locales_stub.html",
["About locales and their effect on the Studio user interface","src/csac_locales_about.html"]
,["How Studio determines the locale to use","src/csac_locales_determining_stub.html",
["Locations where the locale may be set","src/csac_locales_available_locations.html"]
,["Scenarios for selecting the locale","src/rsac_locales_scenarios_for_determining.html"]
],["Setting the available locales for Studio","src/tsac_locales_configuring_available.html"]
,["Setting the default locale used by Studio","src/tsac_locales_setting_studio_default.html"]
,["Configuring the preferred locale for a Studio user","src/tsac_locales_configuring_user_preferred.html"]
,["Including the locale in a URL","src/csac_locales_including_in_url.html"]
],["About Managing Users in Studio","src/csac_user_access_about_users_stub.html",
["About user roles","src/csac_user_access_about_roles.html"]
,["About the default user","src/csac_user_access_about_default_user.html"]
],["Creating and Editing Users in Studio","src/csac_user_access_create_users_stub.html",
["Configuring the type of user name for Studio","src/tsac_user_access_change_username_type.html"]
,["Creating a new user","src/tsac_user_access_create_user.html"]
,["Editing a Studio user","src/tsac_user_access_edit_user.html"]
,["Preventing a user from creating applications","src/tsac_user_access_remove_power_user_role.html"]
,["Deactivating, reactivating, and deleting Studio users","src/tsac_user_access_deactivate_reactivate.html"]
],["Integrating with an LDAP System to Manage Users","src/csac_user_access_ldap_integration_stub.html",
["About using LDAP","src/csac_user_access_ldap_integration_about.html"]
,["Configuring the LDAP settings and server","src/tsac_user_access_ldap_configure_settings.html"]
,["Configuring the Studio password policy when using LDAP","src/tsac_user_access_ldap_password_policy.html"]
,["Preventing encrypted LDAP passwords from being stored in Studio","src/tsac_user_access_ldap_prevent_password_storage.html"]
,["Assigning roles based on LDAP user groups","src/tsac_user_access_ldap_assign_group_roles.html"]
],["Setting up Single Sign-On (SSO) for Studio","src/csac_sso_root.html",
["About single sign-on and Studio","src/csac_sso_about.html"]
,["Overview of the process for configuring SSO with Oracle Access Manager","src/csac_sso_process_overview.html"]
,["Configuring the reverse proxy module in OHS","src/csac_sso_reverse_proxy_stub.html",
["Reverse proxy configuration for Tomcat","src/tsac_sso_reverse_proxy_tomcat.html"]
,["Reverse proxy configuration for WebLogic Server","src/tsac_sso_reverse_proxy_weblogic.html"]
],["Registering the Webgate with the Oracle Access Manager server","src/tsac_sso_register_webgate.html"]
,["Testing the OHS URL","src/tsac_sso_testing_ohs_url.html"]
,["Configuring Studio to integrate with SSO via Oracle Access Manager","src/csac_sso_configuring_studio_stub.html",
["Configuring the LDAP connection for SSO","src/tsac_sso_configure_ldap_connection.html"]
,["Configuring the Oracle Access Manager SSO settings","src/tsac_sso_configure_oam_sso_settings.html"]
],["Completing and testing the SSO integration","src/tsac_sso_completing_testing_sso_integration.html"]
],["Managing Endeca Server Connections","src/csac_es_connection_root.html",
["About Endeca Server connections","src/csac_es_connection_about.html"]
,["Using the Endeca Servers page to manage Endeca Server connections","src/csac_es_connection_page_stub.html",
["About the Endeca Servers page","src/csac_es_connection_page_about.html"]
,["Displaying the Endeca Servers page","src/csac_es_connection_page_displaying.html"]
,["Adding an Endeca Server connection","src/tsac_es_connection_adding.html"]
,["Editing an Endeca Server connection","src/tsac_es_connection_editing.html"]
,["Deleting an Endeca Server connection","src/tsac_es_connection_deleting.html"]
,["Testing an Endeca Server connection","src/csac_es_connection_page_testing_connections.html"]
],["Syntax for an Endeca Server connection definition","src/csac_es_connection_syntax_stub.html",
["Escaping special characters in Endeca Server connection definitions","src/csac_es_connection_escaping_special_characters.html"]
,["Basic Endeca Server connection properties","src/csac_es_connection_syntax.html"]
,["Configuring role-based security for viewing Endeca Server connection data","src/csac_es_connection_role_based_security.html"]
,["Connecting an Endeca Server connection to a secured Endeca Server","src/tsac_es_connection_secured_endeca_server.html"]
,["Connecting an Endeca Server connection to an Endeca Server cluster","src/csac_es_connection_clustered_configuration.html"]
,["Limiting who can connect an application to the Endeca Server connection","src/csac_es_connection_limiting_who_can_bind_apps_to.html"]
],["Setting up shared Endeca Server connections","src/csac_es_connection_setting_up_shared.html"]
],["Configuring the Connection to the Provisioning Service","src/tsac_provisioning_server_configure_connection.html"]
,["Managing Available Sources of Application Data","src/csac_data_source_library_stub.html",
["About data sources","src/csac_data_source_library_about.html"]
,["Displaying information about data sources on the Data Source Library","src/csac_data_source_library_display.html"]
,["Adding and editing data sources in the Data Source Library","src/csac_data_source_library_add_edit_stub.html",
["Adding and editing data sources","src/tsac_data_source_library_add_data_source.html"]
,["Selecting the data to use in a data source","src/tsac_data_source_library_select_data.html"]
,["Configuring the attributes in a data source","src/tsac_data_source_library_configure_attributes.html"]
],["Configuring access to a data source in the Data Source Library","src/tsac_data_source_library_configure_access.html"]
,["Removing a data source from the Data Source Library","src/csac_data_source_library_remove_data_source.html"]
],["Configuring and Removing Applications","src/csac_applications_configure_remove_stub.html",
["Configuring the application type","src/tsac_applications_application_type_configuring.html"]
,["Configuring the visibility type for a page","src/tsac_applications_page_type_configuring.html"]
,["Adding and removing application members","src/tsac_applications_add_remove_members.html"]
,["Assigning application roles to application members","src/tsac_applications_assign_app_roles.html"]
,["Certifying an application","src/tsac_applications_certifying.html"]
,["Making an application active or inactive","src/tsac_applications_make_active_inactive.html"]
,["Removing applications","src/tsac_applications_removing.html"]
],["Exporting and Importing Studio Application Pages","src/csac_export_import_pages_stub.html",
["About exporting and importing application pages","src/csac_export_import_pages_about.html"]
,["Exporting pages from Studio","src/csac_export_pages_stub.html",
["What is included in the export?","src/csac_export_pages_included_items.html"]
,["Completing the export","src/tsac_export_pages_do_export.html"]
],["Importing pages into Studio","src/csac_import_pages_stub.html",
["Ensuring that imported pages will work properly","src/csac_import_pages_caveats.html"]
,["Completing the import","src/tsac_import_pages_do_import.html"]
]],["Changing the Look and Feel of Studio","src/csac_look_and_feel_customization_stub.html",
["About customizing the Studio look and feel","src/csac_look_and_feel_customization_about.html"]
,["Location of the Studio CSS and images","src/csac_look_and_feel_file_location.html"]
,["Updating the Studio CSS and images for a Tomcat instance","src/tsac_look_and_feel_customizing_in_tomcat.html"]
,["Updating the Studio CSS and images for a WebLogic Server instance","src/tsac_look_and_feel_customizing_in_weblogic.html"]
],["Using a Custom Security Manager","src/csac_security_manager_stub.html",
["Security Manager class summary","src/rsac_security_manager_class_summary.html"]
,["Creating a new Security Manager","src/tsac_security_manager_creating_new.html"]
,["Implementing a new Security Manager","src/csac_security_manager_implementing.html"]
,["Deploying a new Security Manager","src/tsac_security_manager_deploying.html"]
,["Configuring Studio to use your Security Manager","src/tsac_security_manager_using.html"]
],["Developing Custom Components","src/csac_sdk_installing_using_stub.html",
["Software and licensing requirements for component development","src/csac_sdk_software_licensing_requirements.html"]
,["Configuring the Studio SDK for component development","src/tsac_sdk_downloading_configuring.html"]
,["Configuring Eclipse for component development","src/tsac_sdk_configuring_eclipse.html"]
,["Developing a new component","src/tsac_sdk_component_development_overview.html",
["Creating a new component","src/tsac_sdk_creating_new_component.html"]
,["Importing the component project into Eclipse","src/tsac_sdk_importing_project_in_eclipse.html"]
,["Obtaining query results for custom components","src/csac_queryfunctions_obtaining_query_results.html"]
,["Building and testing your new component","src/tsac_sdk_building_testing_new_component.html"]
,["Adding and removing components from the Studio .ear file for WebLogic Server","src/tsac_sdk_add_remove_components_weblogic_ear.html"]
],["Modifying the Studio SDK build properties for a component","src/csac_sdk_modifying_sdk_enhancements.html"]
],["Working with QueryFunction Classes","src/csac_queryfunction_classes_stub.html",
["Provided QueryFunction filter classes","src/csac_queryfunction_filter_classes.html"]
,["Provided QueryConfig functions","src/csac_queryfunction_configuration_functions.html"]
,["Creating a custom QueryFunction class","src/tsac_queryfunctions_creating.html"]
,["Implementing a custom QueryFunction class","src/tsac_queryfunctions_implementing.html"]
,["Deploying a custom QueryFunction class","src/tsac_queryfunctions_deploying.html"]
,["Adding the custom QueryFunction .jar file to the custom component Eclipse build path","src/tsac_queryfunctions_adding_jar.html"]
],["Conventions used in this document","src/c_conventions_used_in_this_book.html"]
,["Copyright and disclaimer","src/c_copyright.html"]
];
var gInitURL = "src/csac_about_this_guide.html";
var gMapTitle = "Endeca Information Discovery Studio: Studio管理およびカスタマイズ・ガイド";
